Source: golang-github-rjeczalik-notify
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-golang-x-sys-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/rjeczalik/notify
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-rjeczalik-notify
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-rjeczalik-notify.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/rjeczalik/notify

Package: golang-github-rjeczalik-notify-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-golang-x-sys-dev
Multi-Arch: foreign
Description: file system event notification library on steroids
 Notify is a Go high-level abstraction over filesystem watchers like
 inotify, kqueue, FSEvents, FEN or ReadDirectoryChangesW. On top of filesystem
 watchers notify maintains a watchpoint tree, which provides strategy for
 creating and closing filesystem watches and dispatching filesystem events to
 user channels.
